ThreadIDLE Struct Reference

`#include <HeiOS_Thread.h>`

## Data Fields

uint32_t | IdleThreadStack [IDLE_THREADSTACKSIZE]
uint32_t | PSP
uint8_t | active

## Field Documentation

## active

uint8_t active

Flag to show the State of the Idlethread

## IdleThreadStack

uint32_t IdleThreadStack[IDLE_THREADSTACKSIZE]

Stackframe to save the CPU-Registers

## PSP

uint32_t PSP

Process Stackpointer

The documentation for this struct was generated from the following file:

- HeiOS_Thread.h